RagTime5Parser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
RagTime5Parser Class Reference

the main class to read a RagTime v5 file More...

`#include <RagTime5Parser.hxx>`

Inheritance diagram for RagTime5Parser:

## Public Types
enum | PictureType { P_Pict, P_Tiff, P_Epsf, P_Jpeg, P_PNG, P_ScreenRep, P_WMF, P_Unknown }
| enum used to defined list of classical pict More...

## Public Member Functions
| RagTime5Parser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~RagTime5Parser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
bool | getColor (int colId, MWAWColor &color, int listId=-1) const
| returns the ith color ( if possible) More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | sendZones ()
| try to send the different zones More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different objects zones More...
bool | findDataZones (MWAWEntry const &entry)
| try to create the main data zones list More...
bool | update (RagTime5ParserInternal::Zone &zone)
| try to update a zone: create a new input if the zone is stored in different positions, ... More...
bool | unpackZone (RagTime5ParserInternal::Zone &zone, MWAWEntry const &entry, std::vector< unsigned char > &data)
| try to unpack a zone More...
bool | unpackZone (RagTime5ParserInternal::Zone &zone)
| try to unpack a zone More...
bool | readCompressedLong (MWAWInputStreamPtr &input, long endPos, long &val)
| try to read a compressed long More...
bool | readString (RagTime5ParserInternal::Zone &zone, std::string &string)
| try to read a string zone ( zone with id1=21,id2=23:24) More...
bool | readUnicodeString (RagTime5ParserInternal::Zone &zone)
| try to read a unicode string zone More...
bool | readItemCluster (RagTime5ParserInternal::Zone &zone)
| try to read a cluster of item More...
bool | readListZone (RagTime5ParserInternal::Zone &zone)
| try to read a list of unknown zone More...
bool | readDocumentVersion (RagTime5ParserInternal::Zone &zone)
| try to read the document version zone More...
bool | readPicture (RagTime5ParserInternal::Zone &zone, MWAWEntry &entry, PictureType type)
| try to read a picture zone More...
bool | readPictureList (RagTime5ParserInternal::Zone &zone, std::vector< int > &listIds)
| try to read a picture list More...
bool | readPictureMatch (RagTime5ParserInternal::Zone &zone, bool color)
| try to read a picture match zone More...
void | flushExtra ()
| flush unsent zone (debugging function) More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< RagTime5ParserInternal::State > | m_state
| the state More...

## Friends
class | RagTime5ParserInternal::SubDocument

## Detailed Description

the main class to read a RagTime v5 file

## Member Enumeration Documentation

enum RagTime5Parser::PictureType

enum used to defined list of classical pict

Enumerator
P_Pict |
P_Tiff |
P_Epsf |
P_Jpeg |
P_PNG |
P_ScreenRep |
P_WMF |
P_Unknown |

## Constructor & Destructor Documentation

RagTime5Parser::RagTime5Parser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

RagTime5Parser::~RagTime5Parser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool RagTime5Parser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void RagTime5Parser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool RagTime5Parser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

bool RagTime5Parser::findDataZones | ( | MWAWEntry const & | entry | ) |
| protected

try to create the main data zones list

Referenced by createZones().

void RagTime5Parser::flushExtra | ( |  | ) |
| protected

flush unsent zone (debugging function)

Referenced by parse().

bool RagTime5Parser::getColor | ( | int | colId,
|  | MWAWColor & | color,
|  | int | listId = `-1`
| ) |  | const
| protected

returns the ith color ( if possible)

void RagTime5Parser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by RagTime5Parser().

void RagTime5Parser::newPage | ( | int | number | ) |
| protected

adds a new page

void RagTime5Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

bool RagTime5Parser::readCompressedLong | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | long & | val
| ) |  |
| protected

try to read a compressed long

Referenced by readItemCluster(), and readListZone().

bool RagTime5Parser::readDocumentVersion | ( | RagTime5ParserInternal::Zone & | zone | ) |
| protected

try to read the document version zone

Referenced by createZones().

bool RagTime5Parser::readItemCluster | ( | RagTime5ParserInternal::Zone & | zone | ) |
| protected

try to read a cluster of item

Referenced by createZones().

bool RagTime5Parser::readListZone | ( | RagTime5ParserInternal::Zone & | zone | ) |
| protected

try to read a list of unknown zone

Referenced by createZones().

bool RagTime5Parser::readPicture | ( | RagTime5ParserInternal::Zone & | zone,
|  | MWAWEntry & | entry,
|  | PictureType | type
| ) |  |
| protected

try to read a picture zone

Referenced by createZones().

bool RagTime5Parser::readPictureList | ( | RagTime5ParserInternal::Zone & | zone,
|  | std::vector< int > & | listIds
| ) |  |
| protected

try to read a picture list

Referenced by createZones().

bool RagTime5Parser::readPictureMatch | ( | RagTime5ParserInternal::Zone & | zone,
|  | bool | color
| ) |  |
| protected

try to read a picture match zone

Referenced by createZones().

bool RagTime5Parser::readString | ( | RagTime5ParserInternal::Zone & | zone,
|  | std::string & | string
| ) |  |
| protected

try to read a string zone ( zone with id1=21,id2=23:24)

Referenced by createZones().

bool RagTime5Parser::readUnicodeString | ( | RagTime5ParserInternal::Zone & | zone | ) |
| protected

try to read a unicode string zone

Referenced by createZones().

bool RagTime5Parser::sendZones | ( |  | ) |
| protected

try to send the different zones

bool RagTime5Parser::unpackZone | ( | RagTime5ParserInternal::Zone & | zone,
|  | MWAWEntry const & | entry,
|  | std::vector< unsigned char > & | data
| ) |  |
| protected

try to unpack a zone

Referenced by createZones(), and unpackZone().

bool RagTime5Parser::unpackZone | ( | RagTime5ParserInternal::Zone & | zone | ) |
| protected

try to unpack a zone

bool RagTime5Parser::update | ( | RagTime5ParserInternal::Zone & | zone | ) |
| protected

try to update a zone: create a new input if the zone is stored in different positions, ...

Referenced by createZones().

## Friends And Related Function Documentation

friend class RagTime5ParserInternal::SubDocument
| friend

## Member Data Documentation

shared_ptr<RagTime5ParserInternal::State> RagTime5Parser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), findDataZones(), getColor(), init(), and newPage().

The documentation for this class was generated from the following files:

- RagTime5Parser.hxx
- RagTime5Parser.cxx